Fix "org.eclipse.jetty.server.HttpChannel - /deployit/repository/cis/read Closed" Error While Upgrading from XLD Version 5.x.x to 5.1.x or above


Shashank Srivastava -


While upgrading from XLD Version 5.x.x to 5.1.x or above, this error will occur if the same deployit-security.xml is copied from old XLD instance to the new XLD instance.


XL Deploy


One should not copy the deployit-security.xml file from old XLD 5.x.x instance. Instead, existing file in the new instance must be configured by following the below Documentation link.


The cause is that above mentioned configuration file has changed since XLD version 5.1.x. So older configuration file will not work while upgrading.

Additional Information

Below is the log snippet that appears while upgrading.

2017-05-23 12:47:13.739 [qtp379963364-17] {} INFO c.x.d.j.FlexRestCompatibilityServletResponse - Hiding status code 403 with 200
2017-05-23 12:47:13.817 [qtp379963364-17] {} WARN o.e.jetty.servlet.ServletHandler - /deployit/repository/cis/read Closed
at org.eclipse.jetty.server.HttpOutput.print(
at javax.servlet.ServletOutputStream.println(
at com.xebialabs.deployit.jetty.FlexRestCompatibilityServletResponse.writePostamble(
at com.xebialabs.deployit.FlexLicenseValidationFilter.doFilter(


xld, xl-deploy, upgrade, troubleshooting, kb


Have more questions? Submit a request
Powered by Zendesk